﻿Public Class FormSelectGroup
  Public Group As String

  Private Sub FormSelectGroup_Load(
    ByVal sender As System.Object,
    ByVal e As System.EventArgs
    ) Handles MyBase.Load

    Me.Text = "グループ選択"
    Me.AcceptButton = ButtonOk
    Me.CancelButton = ButtonCancel
    Me.MinimizeBox = False
    ListBoxMain.Dock = DockStyle.Fill
    Me.MinimumSize = New Size(240, 300)
    Me.Left = Form1.Left + 100
    Me.Top = Form1.Top + 100

    ListBoxMain.Items.Clear()
    For i As Integer = 2 To _
      Form1.ComboBoxGroup1.Items.Count - 1
      ListBoxMain.Items.Add(
        Form1.ComboBoxGroup1.Items(i))
    Next
    If ListBoxMain.Items.Count > 0 Then _
      ListBoxMain.SelectedIndex = 0
  End Sub

  Private Sub ButtonOk_Click(
    ByVal sender As System.Object,
    ByVal e As System.EventArgs
    ) Handles ButtonOk.Click

    Group = ListBoxMain.SelectedItem
    If Group <> "" Then
      Me.DialogResult = DialogResult.OK
    Else
      Me.DialogResult = DialogResult.Cancel
    End If
    Me.Close()
  End Sub

  Private Sub ButtonCancel_Click(
    ByVal sender As System.Object,
    ByVal e As System.EventArgs
    ) Handles ButtonCancel.Click

    Me.DialogResult = DialogResult.Cancel
    Me.Close()
  End Sub
End Class